Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab
Class QueriesTab

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      edu.stanford.smi.protege.widget.AbstractWidget
                          edu.stanford.smi.protege.widget.AbstractTabWidget
                              edu.stanford.smi.protegex.queries_tab.QueriesTab

All Implemented Interfaces:
  Plugin, Disposable, Selectable, TabWidget, Widget, ImageObserver, MenuContainer, Serializable, Observer, Accessible

    public class QueriesTab

extends AbstractTabWidget
implements Observer

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, PROPERTIES, SOMEBITS`

Constructor Summary
`QueriesTab()`

Method Summary
`void` | `clearQueryStack()`
`void` | `clearSearch()`
`boolean` | `compareQueries()`
`boolean` | `compareQuery(InstancesQuery query)` Compare the current loading query with another query.
`JPanel` | `createQueryDialogPanel(InstancesQuery query, QueriesTab tab)`
`void` | `dispose()`
`void` | `downLoadQuery()`
`void` | `enableQueryButtons(boolean b)`
`void` | `enableSearch()`
`Box` | `getEmptyBox()`
`Vector` | `getLine(String result)` Organizer the query in a vector of string by line.
`boolean` | `getMatchAll()`
`QueryListModel` | `getModel()`
`String` | `getQueryName()`
`Stack` | `getQueryStack()`
`JPanel` | `getSearchPanel()`
`int` | `getWidgetHeight()`
`Vector` | `getWidgets()`
`int` | `getWidgetWidth()`
`void` | `initialize()`
`boolean` | `isEmptySearchPanel()` if the search Parts are empty, return true, otherwise, return false.
`static void` | `main(String[] args)`
`InstancesQuery` | `popQuery()`
`void` | `postWarningDialog(String name)`
`void` | `pushQuery(InstancesQuery query)`
`void` | `save()`
`int` | `searchQueryStack(InstancesQuery query)`
`void` | `setEditable(boolean b)`
`void` | `setQuery(InstancesQuery query)`
`void` | `setQueryName(String name)`
`void` | `setTabComponents()` Setup the layout of the tab
`void` | `setupRadios(boolean b)`
`void` | `setupStatus(boolean b)` Switch buttons and radios according to the settings.
`void` | `showDialog(InstancesQuery query)`
`void` | `update(Observable instancesQuery, Object arg)`
`void` | `updateHashMap(JFrame frame)`

Methods inherited from class edu.stanford.smi.protege.widget.AbstractTabWidget
`addMainWindowToolBarButton, addUserToolBar, canClose, canSave, close, configure, createLeftRightSplitPane, createTopBottomSplitPane, getClsTree, getIcon, getLabel, getMainWindowMenuBar, getMainWindowToolBar, getSelectedInstances, getSelection, getShortDescription, getUserToolBar, isSuitable, removeMainWindowToolBarButton, removeUserToolBar, setClsTree, setIcon, setInstanceSelectable, setLabel, setShortDescription, setup, synchronizeClsTree, synchronizeToInstances`

Methods inherited from class edu.stanford.smi.protege.widget.AbstractWidget
`addSelectionListener, beginTransaction, beginTransaction, clearSelection, commitTransaction, endTransaction, equals, getDescriptor, getKnowledgeBase, getProject, getPropertyList, getStringProperty, isDesignTime, isRuntime, notifySelectionListeners, paint, removeSelectionListener, rollbackTransaction, setPropertyList, setup, show, showInstance`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.widget.Widget
`getDescriptor, getKnowledgeBase, getProject`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, notifySelectionListeners, removeSelectionListener`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Constructor Detail

### QueriesTab

    public QueriesTab()

Method Detail

### clearQueryStack

    public void clearQueryStack()

### clearSearch

    public void clearSearch()

### compareQueries

    public boolean compareQueries()

### compareQuery

    public boolean compareQuery(InstancesQuery query)

  Compare the current loading query with another query.

### createQueryDialogPanel

    public JPanel createQueryDialogPanel(InstancesQuery query,
                                         QueriesTab tab)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `AbstractWidget`

### downLoadQuery

    public void downLoadQuery()

### enableQueryButtons

    public void enableQueryButtons(boolean b)

### enableSearch

    public void enableSearch()

### getEmptyBox

    public Box getEmptyBox()

### getLine

    public Vector getLine(String result)

  Organizer the query in a vector of string by line.

### getMatchAll

    public boolean getMatchAll()

### getModel

    public QueryListModel getModel()

### getQueryName

    public String getQueryName()

### getQueryStack

    public Stack getQueryStack()

### getSearchPanel

    public JPanel getSearchPanel()

### getWidgetHeight

    public int getWidgetHeight()

### getWidgets

    public Vector getWidgets()

### getWidgetWidth

    public int getWidgetWidth()

### initialize

    public void initialize()

  Specified by:
    `initialize` in interface `Widget`

### isEmptySearchPanel

    public boolean isEmptySearchPanel()

  if the search Parts are empty, return true, otherwise, return false.

### main

    public static void main(String[] args)

### popQuery

    public InstancesQuery popQuery()

### postWarningDialog

    public void postWarningDialog(String name)

### pushQuery

    public void pushQuery(InstancesQuery query)

### save

    public void save()

  Specified by:
    `save` in interface `TabWidget`
  Overrides:
    `save` in class `AbstractTabWidget`

### searchQueryStack

    public int searchQueryStack(InstancesQuery query)

### setEditable

    public void setEditable(boolean b)

### setQuery

    public void setQuery(InstancesQuery query)

### setQueryName

    public void setQueryName(String name)

### setTabComponents

    public void setTabComponents()

  Setup the layout of the tab

### setupRadios

    public void setupRadios(boolean b)

### setupStatus

    public void setupStatus(boolean b)

  Switch buttons and radios according to the settings. True: enable the button and radios False: disable the button and radios

### showDialog

    public void showDialog(InstancesQuery query)

### update

    public void update(Observable instancesQuery,
                       Object arg)

  Specified by:
    `update` in interface `Observer`

### updateHashMap

    public void updateHashMap(JFrame frame)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request